import CJS_COMPAT_NODE_URL_s11o0jfroy from 'node:url';
import CJS_COMPAT_NODE_PATH_s11o0jfroy from 'node:path';
import CJS_COMPAT_NODE_MODULE_s11o0jfroy from "node:module";

var __filename = CJS_COMPAT_NODE_URL_s11o0jfroy.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_s11o0jfroy.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_s11o0jfroy.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  __name
} from "./chunk-NBAGJPS7.js";

// ../node_modules/slash/index.js
function slash(path) {
  const isExtendedLengthPath = path.startsWith("\\\\?\\");
  if (isExtendedLengthPath) {
    return path;
  }
  return path.replace(/\\/g, "/");
}
__name(slash, "slash");

export {
  slash
};
